import os, xbmc, xbmcaddon

#########################################################
### User Edit Variables #################################
#########################################################
ADDON_ID       = xbmcaddon.Addon().getAddonInfo('id')
ADDONTITLE     = 'CABLE[B]BEATERS[/B]TV Wizard'
EXCLUDES       = [ADDON_ID, 'repository.cablebeaters', 'plugin.program.cbtvwizard']
# Text File with build info in it.
BUILDFILE      = 'http://updates.streamztv.com/CableBeaters/txt/builds.txt'
# How often you would list it to check for build updates in days
# 0 being every startup of kodi
UPDATECHECK    = 0
# Text File with apk info in it.  Leave as 'http://' to ignore
APKFILE        = 'http://updates.streamztv.com/CableBeaters/txt/apk_installer.txt'
# Text File with Youtube Videos urls.  Leave as 'http://' to ignore
YOUTUBETITLE   = 'YouTube Help Videos'
YOUTUBEFILE    = 'http://'
# Text File for addon installer.  Leave as 'http://' to ignore
ADDONFILE      = 'http://'
# Text File for advanced settings.  Leave as 'http://' to ignore
ADVANCEDFILE   = 'http://'
# Text file for roms and emus
ROMPACK        = 'http://'
EMUAPKS        = 'http://'

# Dont need to edit just here for icons stored locally
PATH           = xbmcaddon.Addon().getAddonInfo('path')
ART            = os.path.join(PATH, 'resources', 'art')

#########################################################
### THEMING MENU ITEMS ##################################
#########################################################
# If you want to use locally stored icons the place them in the Resources/Art/
# folder of the wizard then use os.path.join(ART, 'imagename.png')
# do not place quotes around os.path.join
# Example:  ICONMAINT     = os.path.join(ART, 'mainticon.png')
#           ICONSETTINGS  = 'http://aftermathwizard.net/repo/wizard/settings.png'
# Leave as http:// for default icon
ICONBUILDS     = 'http://updates.streamztv.com/CableBeaters/Images/builds.png'
ICONMAINT      = 'http://updates.streamztv.com/CableBeaters/Images/maintenance.png'
ICONSPEED      = 'http://'
ICONAPK        = 'http://updates.streamztv.com/CableBeaters/Images/apk_installer.png'
ICONRETRO      = 'http://'
ICONADDONS     = 'http://'
ICONYOUTUBE    = 'http://'
ICONSAVE       = 'http://updates.streamztv.com/CableBeaters/Images/save_data.png'
ICONTRAKT      = 'http://'
ICONREAL       = 'http://'
ICONLOGIN      = 'http://'
ICONCONTACT    = 'http://updates.streamztv.com/CableBeaters/Images/contact.png'
ICONSETTINGS   = 'http://updates.streamztv.com/CableBeaters/Images/settings.png'
# Hide the ====== seperators 'Yes' or 'No'
HIDESPACERS    = 'No'
# Character used in seperator
SPACER         = '_'

# You can edit these however you want, just make sure that you have a %s in each of the
# THEME's so it grabs the text from the menu item
COLOR1         = 'yellowgreen'
COLOR2         = 'white'
# Primary menu items   / %s is the menu item and is required
THEME1         = '[COLOR '+COLOR1+']([COLOR '+COLOR2+']CABLE[B]BEATERS[/B]TV[/COLOR])[/COLOR] [COLOR '+COLOR2+']%s[/COLOR]'
# Build Names          / %s is the menu item and is required
THEME2         = '[COLOR '+COLOR2+']%s[/COLOR]'
# Alternate items      / %s is the menu item and is required
THEME3         = '[COLOR '+COLOR1+']%s[/COLOR]'
# Current Build Header / %s is the menu item and is required
THEME4         = '[COLOR '+COLOR1+'][B]Current Build:[/B][/COLOR] [COLOR '+COLOR2+']%s[/COLOR]'
# Current Theme Header / %s is the menu item and is required
THEME5         = '[COLOR '+COLOR1+'][B]Current Theme:[/B][/COLOR] [COLOR '+COLOR2+']%s[/COLOR]'

# Message for Contact Page
# Enable 'Contact' menu item 'Yes' hide or 'No' dont hide
HIDECONTACT    = 'No'
# You can add \n to do line breaks
CONTACT        = 'Thank you for choosing CABLE[B]BEATERS[/B]TV.\r\n\r\nFor upgraded live TV and sports visit http://cablebeaterstv.com. Use Coupon Code newstart for $5 off your first month.'
#Images used for the contact window.  http:// for default icon and fanart
CONTACTICON    = 'http://updates.streamztv.com/CableBeaters/Images/contact.png'
CONTACTFANART  = 'http://updates.streamztv.com/CableBeaters/Images/contact_fanart.jpg'
#########################################################

#########################################################
### AUTO UPDATE #########################################
########## FOR THOSE WITH NO REPO #######################
# Enable Auto Update 'Yes' or 'No'
AUTOUPDATE     = 'No'
# Url to wizard version
WIZARDFILE     = ''
#########################################################

#########################################################
### AUTO INSTALL ########################################
########## REPO IF NOT INSTALLED ########################
# Enable Auto Install 'Yes' or 'No'
AUTOINSTALL    = 'Yes'
# Addon ID for the repository
REPOID         = 'repository.cablebeaters'
# Url to Addons.xml file in your repo folder(this is so we can get the latest version)
REPOADDONXML   = 'http://updates.streamztv.com/CableBeaters/Repository/repository.cablebeaters-1.0/addon.xml'
# Url to folder zip is located in
REPOZIPURL     = 'http://updates.streamztv.com/CableBeaters/Repository/repository.cablebeaters-1.0/'
#########################################################

#########################################################
### NOTIFICATION WINDOW##################################
#########################################################
# Enable Notification screen Yes or No
ENABLE         = 'Yes'
# Url to notification file
NOTIFICATION   = 'http://updates.streamztv.com/CableBeaters/txt/notifications.txt'
# Use either 'Text' or 'Image'
HEADERTYPE     = 'Text'
HEADERMESSAGE  = 'CABLE[B]BEATERS[/B]TV Wizard'
# url to image if using Image 500x50(Width can vary but height of image needs to be 50px)
HEADERIMAGE    = ''
# Background for Notification Window
BACKGROUND     = 'http://updates.streamztv.com/CableBeaters/Images/contact_fanart.jpg'
#########################################################